﻿


;-------------------------------------------------------------------------------
setup_Gdip: ; set up Gdip
;-------------------------------------------------------------------------------
    pToken := Gdip_Startup()
    hDC := CreateCompatibleDC()
    hBM := CreateDIBSection(A_ScreenWidth, A_ScreenHeight)
    oBM := SelectObject(hDC, hBM)
    pGraphics := Gdip_GraphicsFromHDC(hDC)

Return



;-------------------------------------------------------------------------------
teardown_Gdip: ; tear down Gdip
;-------------------------------------------------------------------------------
    Gdip_DeleteGraphics(pGraphics)
    SelectObject(hDC, oBM)
    DeleteObject(hBM)
    DeleteDC(hDC)
    Gdip_Shutdown(pToken)

Return



;-------------------------------------------------------------------------------
create_Gdip_Utensils: ; create pens and brushes
;-------------------------------------------------------------------------------
    Pen := {}
    Pen.Mark   := Gdip_CreatePen(Colours.Mark ,  2 * Zoom)
    Pen.TMark  := Gdip_CreatePen(Colours.TMark,  3 * Zoom)
    Pen.Min    := Gdip_CreatePen(Colours.Min  , 10 * Zoom)
    Pen.Hour   := Gdip_CreatePen(Colours.Hour , 15 * Zoom)
    Pen.Sec    := Gdip_CreatePen(Colours.Sec  ,  5 * Zoom)

    Brush := {}
    Brush.Back := Gdip_BrushCreateSolid(Colours.Back)
    Brush.Dots := Gdip_BrushCreateSolid(Colours.Dots)
    Brush.Min  := Gdip_BrushCreateSolid(Colours.Min )
    Brush.Hour := Gdip_BrushCreateSolid(Colours.Hour)
    Brush.Sec  := Gdip_BrushCreateSolid(Colours.Sec )

Return



;-------------------------------------------------------------------------------
delete_Gdip_Utensils: ; delete all pens and brushes
;-------------------------------------------------------------------------------
    For each, Item in Pen
        Gdip_DeletePen(Item)

    For each, Item in Brush
        Gdip_DeleteBrush(Item)

Return
