﻿;-------------------------------------------------------------------------------
; Roman Clock.ahk
; by wolf_II
;-------------------------------------------------------------------------------
; A scalable analog clock with roman numerals.
;
; Thanks to tic (Tariq Porter) for his GDI+ Library
; http://www.autohotkey.com/forum/viewtopic.php?t=32238
;-------------------------------------------------------------------------------



;-------------------------------------------------------------------------------
AutoExecute: ; auto-execute section of the script
;-------------------------------------------------------------------------------
    #NoEnv                              ; don't check empty variables
    #NoTrayIcon                     	; don't show tray icon at start
    #SingleInstance, Force              ; kill old instance
    ;---------------------------------------------------------------------------
    OnExit("CleanUp")                   ; #SingleInstance and Reload behaviour
    SetBatchLines, -1                   ; run script at maximum speed
    SetWorkingDir, %A_ScriptDir%        ; consistent directory
    SplitPath, A_ScriptName,,,, AppName ; get AppName from file name
    Menu, Tray, Icon, %AppName%.ico     ; custom icon
    Menu, Tray, Icon                    ; show icon
    ;---------------------------------------------------------------------------
    Version := "1.09"
    ;===========================================================================

    Pi := 4 * ATan(1)                   ; trigonometric constant
    Gosub, Handle_INI                   ; get default/saved values
    Gosub, setup_Gdip                   ; we are using Gdip

    Gdip_SetSmoothingMode(pGraphics, Mode := 4)

    MidX := (Width  := 800 * Zoom) / 2  ; x-coord of the center
    MidY := (Height := 800 * Zoom) / 2  ; y-coord of the center

    Gosub, GuiCreate
    Gosub, MenuCreate
    Gosub, ApplySettings
    Gosub, MainGuiShow
    Gosub, StartAnimation

Return ; end of auto-execute section



;-------------------------------------------------------------------------------
#Include, *i %A_ScriptDir%\Include ; set folder for includes
;-------------------------------------------------------------------------------
    #Include, Create.ahk
    #Include, Events.ahk
    #Include, GDIp.Helper.ahk
    #Include, INI.Handler.ahk
    #Include, MainCode.ahk



;-------------------------------------------------------------------------------
; Library files
;-------------------------------------------------------------------------------
    #Include, <Gdip>



/*--------- end of file --------------------------------------------------------
